var err= 0;
var err_2= 0;
var err1=0;
var err2=0;
var err3=0;
var err4=0;
var err5=0;
var err6=0;

var err7=0;
var err8=0;
var err9=0;
var err10=0;
var err11=0;
var err12=0;

$(function(){
	
numRand=0;
var n;
var num=0;
var foc=0;
//alert(err);
var numLow = 10000;
var numHigh = 99999;
var adjustedHigh = (parseFloat(numHigh) - parseFloat(numLow)) + 1;
var numRand = Math.floor(Math.random()*adjustedHigh) + parseFloat(numLow);
//alert(numRand); 
$("#captcha_img").attr("src",website_url+"/"+"captcha.php?num="+numRand);   



function toEnNumber(inputNumber2) {
    if (inputNumber2 == undefined) return '';
    var str = $.trim(inputNumber2.toString());
    if (str == "") return "";
    str = str.replace('٠', '0');
    str = str.replace('١', '1');
    str = str.replace('٢', '2');
    str = str.replace('٣', '3');
    str = str.replace('٤', '4');
    str = str.replace('٥', '5');
    str = str.replace('٦', '6');
    str = str.replace('٧', '7');
    str = str.replace('٨', '8');
    str = str.replace('٩', '9');
    return str;
	
}

form_name='';
 
$("#form1").bind("focus submit",function(event){

//alert("S");
	form_name='form1';
	
	$(".nice-select").remove();
	if(event.type=="submit"){foc=1}


	//alert(foc);

	if(foc==1){





	if($("#form1 #captcha_val").length==1){	
	if($("#form1 #captcha_val").val()!=numRand){
	$("#form1 #captcha_field_val").html("");
	$("#form1 #captcha_field_val").css("background-color","#FFCECE");
	$("#form1 #captcha_val").css("background-color","#FFCECE");
	err1=1;
	}else{
	$("#form1 #captcha_field_val").html("");	
	$("#form1 #captcha_field_val").css("background-color","#fff");
	$("#form1 #captcha_val").css("background-color","#fff");	
	err1=0;
	}
	}


	n= $("#form1 .required").length;
	//alert(n);
	if(parseInt(n)>0){
	for (i=0;i<=n-1;i++){
	xx=parseInt(i);

	//alert($(".required").eq(xx).val());
	if($("#form1 .required").eq(xx).val()=="" || $(".required").eq(xx).val()=="0" ){


	$("#form1 .required").eq(xx).css("background-color","#FFCECE");
	$("#form1 .required").eq(xx).next(".select2").css("background-color","#FFCECE");

	$("#form1 .required").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

	err2=1;
	//alert('err2');
	}else{
	if($("#form1 .required").eq(xx).next().html()!=''){
	$("#form1 .required").eq(xx).next(".field_val").html("");	
	$("#form1 .required").eq(xx).css("background-color","#fff");
	$("#form1 .required").eq(xx).next(".select2").css("background-color","#fff");
	err2=0;
	//alert('error0');
	}
	}

	}
	}
	
	//alert('error2=' + err2);

	if($("#form1 .confirm1").val()!=$(".confirm2").val()){
	$("#form1 .confirm2").next().html("كلمة المرور غير متطابقة");
	$("#form1 .confirm2").css("background-color","#FFCECE");
	err3=1;	
	}else{
	$("#form1 .confirm2").next(".field_val").html("ادخل البيانات بشكل صحيح");
	$("#form1 .confirm2").css("background-color","#fff");	
	err3=0;	

	}





	n= $("#form1 .numeric").length;
	if(parseInt(n)>0){
	for (i=0;i<n;i++){
	xx=parseInt(i);
	//alert(toEnNumber($(".numeric").eq(xx).val()));
	num_en=toEnNumber($("#form1 .numeric").eq(xx).val());
	//alert(num_en);
	$("#form1 .numeric").eq(xx).val(num_en);

	xxx=$.isNumeric($("#form1 .numeric").eq(xx).val());

	if((xxx==0 && $("#form1 .numeric").eq(xx).hasClass('required'))||(xxx==0 && $("#form1 .numeric").eq(xx).val()!='') ){
	$("#form1 .numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

	$("#form1 .numeric").eq(xx).css("background-color","#FFCECE");	
	//alert("numeric");
	err4=1;
	}else{
	if($("#form1 .numeric").eq(xx).next().html()!=''){
	$("#form1 .numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");
	$("#form1 .numeric").eq(xx).css("background-color","#fff");
	err4=0;	
	}
	}
	}
	}
		


	//alert("z");
	n= $("#form1 .email").length;
	if(parseInt(n)>0){
	for (i=0;i<n;i++){

	var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/ ; 

	nn=re.test( $("#form1 .email").eq(i).val() );
		
	//alert($(".email").eq(i).val() );
	//alert(nn);


	if(nn==false){
	//alert("website");
	if($("#form1 .email").eq(i).hasClass('required') || $("#form1 .email").eq(i).val()!=''){
	$("#form1 .email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

	$("#form1 .email").eq(i).css("background-color","#FFCECE");	

	err5=1;
	}


	}else{
	if($("#form1 .email").eq(i).next().html()!=''){
	$("#form1 .email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
	$("#form1 .email").eq(i).css("background-color","#fff");
	err5=0;
	}
	}
	}
	}




	n= $("#form1 .website").length;
	if(parseInt(n)>0){
	for (i=0;i<n;i++){

	re = /[-a-zA-Z0-9@:%_\+.~#?&//=]{2,256}\.[a-z]{2,4}\b(\/[-a-zA-Z0-9@:%_\+.~#?&//=]*)?/;


	nn=re.test( $(".website").eq(i).val() );
		
	//alert($(".website").eq(i).val() );
	//alert(nn);


	if(nn==false){
	//alert("website");
	if($("#form1 .website").eq(i).hasClass('required') || $(".website").eq(i).val()!=''){
	$("#form1 .website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

	$("#form1 .website").eq(i).css("background-color","#FFCECE");	

	err6=1;
	}


	}else{
	if($("#form1 .website").eq(i).next().html()!=''){
	$("#form1 .website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
	$("#form1 .website").eq(i).css("background-color","#fff");

	err6=0;
	}
	}
	}
	}



	err=err1+err2+err3+err4+err5+err6;
	//alert('error=' + err);
	if(err!=0){
	event.preventDefault();	
	}else{
		event.preventDefault();
		$(".second_btn").click();
		
		$("#user_details_container").hide();
		$("#gray_container").css('display','table');
	}


	}


});


$("#form2").bind("focus submit",function(event){

	form_name='form2';
	$(".nice-select").remove();
	if(event.type=="submit"){foc=1}




	if(foc==1){





	if($("#form2 #captcha_val").length==1){	
	if($("#form2 #captcha_val").val()!=numRand){
	$("#form2 #captcha_field_val").html("");
	$("#form2 #captcha_field_val").css("background-color","#FFCECE");
	$("#form2 #captcha_val").css("background-color","#FFCECE");
	err7=1;
	}else{
	$("#form2 #captcha_field_val").html("");	
	$("#form2 #captcha_field_val").css("background-color","#fff");
	$("#form2 #captcha_val").css("background-color","#fff");	
	err7=0;
	}
	}


	n= $("#form2 .required").length;
	//alert(n);
	if(parseInt(n)>0){
	for (i=0;i<=n-1;i++){
	xx=parseInt(i);

	//alert($(".required").eq(xx).val());
	if($("#form2 .required").eq(xx).val()=="" || $(".required").eq(xx).val()=="0" ){


	$("#form2 .required").eq(xx).css("background-color","#FFCECE");
	$("#form2 .required").eq(xx).next(".select2").css("background-color","#FFCECE");

	$("#form2 .required").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

	err8=1;
	}else{
	if($("#form2 .required").eq(xx).next().html()!=''){
	$("#form2 .required").eq(xx).next(".field_val").html("");	
	$("#form2 .required").eq(xx).css("background-color","#fff");
	$("#form2 .required").eq(xx).next(".select2").css("background-color","#fff");
	err8=0;
	}
	}

	}
	}

	if($("#form2 .confirm1").val()!=$(".confirm2").val()){
	$("#form2 .confirm2").next().html("كلمة المرور غير متطابقة");
	$("#form2 .confirm2").css("background-color","#FFCECE");
	err9=1;	
	}else{
	$("#form2 .confirm2").next(".field_val").html("ادخل البيانات بشكل صحيح");
	$("#form2 .confirm2").css("background-color","#fff");	
	err9=0;	

	}





	n= $("#form2 .numeric").length;
	if(parseInt(n)>0){
	for (i=0;i<n;i++){
	xx=parseInt(i);
	//alert(toEnNumber($(".numeric").eq(xx).val()));
	num_en=toEnNumber($("#form2 .numeric").eq(xx).val());
	//alert(num_en);
	$("#form2 .numeric").eq(xx).val(num_en);

	xxx=$.isNumeric($("#form2 .numeric").eq(xx).val());

	if((xxx==0 && $("#form2 .numeric").eq(xx).hasClass('required'))||(xxx==0 && $("#form2 .numeric").eq(xx).val()!='') ){
	$("#form2 .numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

	$("#form2 .numeric").eq(xx).css("background-color","#FFCECE");	
	//alert("numeric");
	err10=1;
	}else{
	if($("#form2 .numeric").eq(xx).next().html()!=''){
	$("#form2 .numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");
	$("#form2 .numeric").eq(xx).css("background-color","#fff");
	err10=0;	
	}
	}
	}
	}
		


	//alert("z");
	n= $("#form2 .email").length;
	if(parseInt(n)>0){
	for (i=0;i<n;i++){

	var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/ ; 

	nn=re.test( $("#form2 .email").eq(i).val() );
		
	//alert($(".email").eq(i).val() );
	//alert(nn);


	if(nn==false){
	//alert("website");
	if($("#form2 .email").eq(i).hasClass('required') || $("#form2 .email").eq(i).val()!=''){
	$("#form2 .email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

	$("#form2 .email").eq(i).css("background-color","#FFCECE");	

	err11=1;
	}


	}else{
	if($("#form2 .email").eq(i).next().html()!=''){
	$("#form2 .email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
	$("#form2 .email").eq(i).css("background-color","#fff");
	err11=0;
	}
	}
	}
	}




	n= $("#form2 .website").length;
	if(parseInt(n)>0){
	for (i=0;i<n;i++){

	re = /[-a-zA-Z0-9@:%_\+.~#?&//=]{2,256}\.[a-z]{2,4}\b(\/[-a-zA-Z0-9@:%_\+.~#?&//=]*)?/;


	nn=re.test( $(".website").eq(i).val() );
		
	//alert($(".website").eq(i).val() );
	//alert(nn);


	if(nn==false){
	//alert("website");
	if($("#form2 .website").eq(i).hasClass('required') || $(".website").eq(i).val()!=''){
	$("#form2 .website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

	$("#form2 .website").eq(i).css("background-color","#FFCECE");	

	err12=1;
	}


	}else{
	if($("#form2 .website").eq(i).next().html()!=''){
	$("#form2 .website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
	$("#form2 .website").eq(i).css("background-color","#fff");

	err12=0;
	}
	}
	}
	}



	err_2=err7+err8+err9+err10+err11+err12;
	//alert(err);
	if(err_2!=0){
	event.preventDefault();	
	}else{
		event.preventDefault();
		if(form_name=='form2'){
			
			$("#user_details_2_container").hide();
			$("#final_container").css('display','table');
		}
		

	}


	}


});


});
